@import url("http://fonts.cdnfonts.com/css/menlo");

:root {
   --bg: #0e0e0e;
   --pink: #faf;
   --cool: #f0f7;
}

html,
body {
   min-height: 100vh;
   margin: 0;
   padding: 0;
   width: 100%;
   overflow-x: hidden;
}

body {
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: space-around;

   font-family: "Menlo", monospace;
   font-weight: bold;
   /* background-image: linear-gradient(to left, hotpink, lightpink); */
   background: var(--bg);
   color: #fff;
   /* font-size: 1.25em; */
   /* filter: hue-rotate(-90deg); */
}

.p5Canvas {
   z-index: 3;
   border-radius: 30px;
   border: 2px solid #fff;
   background: #fff;
   filter: saturate(1.1) brightness(0.9);
   overflow: hidden;

   width: 50vh;
   height: 50vh;
}

main {
   display: flex;
   flex-direction: row;
   align-items: center;
}

button {
   outline: none;
}

.buttons,
.info {
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;

   max-width: 15vw;
   min-width: 200px;
}

.info {
   margin-right: 2.5vw;
}

.icons {
   display: flex;
   flex-direction: row;
}

.icon {
   color: #fff;
   font-size: 37px;
   transition: all 0.25s linear;
}

.icon:hover {
   cursor: pointer;
   color: var(--pink);
   transform: scale(1.05);
}

.devpost {
   display: block;
   width: 40px;
   height: 40px;
   margin: 0 20px;
}

.devpost svg path {
   fill: currentcolor;
}

.buttons {
   margin-left: 2.5vw;
}

.buttons > p {
   margin: 0;
}

.btns {
   display: flex;
   flex-direction: column;
   align-items: center;
   gap: 0;
   width: 100%;
}

.button {
   margin-top: 5vh;

   font-family: inherit;
   font-weight: normal;
   font-size: 0.95em;
   border: 2px solid #fff;
   border-radius: 10px;
   background: #000;
   color: inherit;
   height: 0.75em;
   padding: 0.75em 0.75em 2em 0.75em;

   transition: all 0.25s linear;

   /* fix overflow */
   white-space: nowrap;
   overflow: hidden;
   text-overflow: ellipsis;
   min-width: 0;
   max-width: 100%;
}

.button:hover {
   cursor: pointer;
   transform: scale(0.95);
}

.emojis {
   filter: grayscale(1);
}

.playAudioBtn {
   font-size: clamp(0.7em, 0.95em, 1em);
   padding: 0.75em 0.5em 2em 0.5em;
}

.title {
   font-size: 1.5em;
   background: #faf;
   border-radius: 10px;
   color: #000;
   padding: 0.2em 0.4em;
   margin-bottom: 0;
   text-align: center;
}

p {
   text-align: center;
   font-weight: normal;
}

.buttons > .hue {
   margin-top: 5vh;
}

.slideContainer {
   margin-top: 2.5vh;
   width: 75%;
}

.slider {
   -webkit-appearance: none;
   width: 100%;
   height: 10px;
   border: 2px solid #fff;
   border-radius: 10px;
   background: #000;
   outline: none;
   transform: scale(1);

   transition: transform 0.25s linear;
}

.slider:hover {
   transform: scale(0.95);
}

.slider::-webkit-slider-thumb {
   -webkit-appearance: none;
   appearance: none;
   width: 32px;
   height: 32px;
   border: 0;
   background: url("assets/icons/favicon-32x32.png");
   cursor: pointer;
}

.slider::-moz-range-thumb {
   width: 32px;
   height: 32px;
   border: 0;
   background: url("assets/icons/favicon-32x32.png");
   cursor: pointer;
}

.button:hover,
.slider:hover {
   filter: drop-shadow(0 0 10px var(--cool));
}

/* native styles */
/* ------------- */

a,
button {
   font-family: inherit;
   -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
   cursor: pointer;
}

a {
   color: inherit;
   text-decoration: none;
}

a:active {
   transform: scale(0.8);
   background: #0000;
}

button:focus {
   outline: 1px solid #00000001;
   outline-offset: -4px;
}

button:active {
   transform: scale(0.9);
}

/* ------------- */

/* scrollbar */
body::-webkit-scrollbar {
   width: 0.75rem;
}

body::-webkit-scrollbar-track {
   background-color: var(--bg);
}

body::-webkit-scrollbar-thumb {
   background-color: var(--pink);
}

/* text selection */
::-moz-selection {
   background-color: var(--cool);
}

::selection {
   background-color: var(--cool);
}

@media (prefers-reduced-motion: reduce) {
   *,
   *::before,
   *::after {
      animation-duration: 0.01ms;
      animation-iteration-count: 1;
      transition-duration: 0.01ms;
      scroll-behavior: auto;
   }
}

@media (max-width: 768px) {
   main {
      flex-direction: column-reverse;
      font-size: 1.25em;
   }

   .button > .choose {
      display: none;
   }

   .buttons > .btns {
      margin-top: 0;
      flex-direction: row;
      justify-content: space-evenly;
      font-size: 0.75em;
      gap: 0.5em;
   }

   .buttons > .btns > .button {
      padding: 1.5em 0.75em;
      display: flex;
      align-items: center;
      justify-content: center;
   }

   .buttons > p {
      margin: 0;
      margin-top: 5vh;
   }

   .buttons,
   .info {
      min-width: 85vw;
   }

   .canvas {
      order: 1;
      margin-top: 5vh;
   }
}
